Docs

Deployment

GET
/v1/deployment-info

Get deployment information for the deployment portal. Accepts both deployment-scoped and deployment-group-scoped API keys. Returns project information, package status/outputs, and either deployment or deployment group details depending on the token type. Poll this endpoint to check if packages are ready.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100
platform?string

Represents the target cloud platform.

Value in

  • "aws"
  • "gcp"
  • "azure"
  • "kubernetes"
  • "machines"
  • "local"
  • "test"
setupItem?string

Value in

  • "deployment"
  • "models"
  • "keys"
  • "bucket"
  • "registry"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployment-info"
{  "tokenType": "deployment",  "deployment": {    "name": "string",    "platform": "aws"  },  "deploymentGroup": {    "id": "dg_r27ict8c7vcgsumpj90ackf7b",    "name": "string",    "pinnedSubdomain": "string"  },  "workspace": {    "id": "string",    "name": "string",    "avatarUrl": "http://example.com"  },  "project": {    "name": "string",    "portal": {      "appearance": {        "avatarUrl": "http://example.com",        "preset": "clean",        "accentColor": "blue",        "title": "string",        "subtitle": "string",        "supportUrl": "http://example.com",        "docsUrl": "http://example.com",        "density": "comfortable"      }    },    "stackSummary": {      "platforms": [        "aws"      ],      "requiresNetwork": true,      "customerModels": true,      "resourceCounts": {        "workers": 0,        "containers": 0,        "daemons": 0,        "publicHttpsEndpoints": 0,        "externalInfra": 0,        "total": 0      },      "publicEndpoints": [        {          "resourceId": "string",          "endpointName": "string",          "hostLabel": "string",          "wildcardSubdomains": true        }      ]    },    "generatedDomain": {      "domain": "string",      "isSystem": true    }  },  "packages": {    "ready": true,    "cli": {      "status": "pending",      "commandName": "string",      "version": "string",      "outputs": {        "binaries": {          "property1": {            "sha256": "string",            "size": 0,            "url": "string"          },          "property2": {            "sha256": "string",            "size": 0,            "url": "string"          }        },        "buildInfo": {          "alienSha": "string",          "horizonSha": "string",          "machineBundleManifestUrl": "string",          "platformSha": "string",          "sourceAgentBinarySha256": "string",          "sourceCliBinarySha256": "string"        }      },      "error": null,      "installScripts": {        "windows": "http://example.com",        "mac": "http://example.com",        "linux": "http://example.com"      }    },    "cloudformation": {      "status": "pending",      "version": "string",      "outputs": {        "targets": {          "property1": {            "launchStackUrl": "string",            "sha256": "string",            "size": 0,            "stackPolicyUrl": "string",            "target": "string",            "templateUrl": "string"          },          "property2": {            "launchStackUrl": "string",            "sha256": "string",            "size": 0,            "stackPolicyUrl": "string",            "target": "string",            "templateUrl": "string"          }        }      },      "error": null,      "mode": "auto",      "launchUrl": "http://example.com",      "outputsSchema": null    },    "terraform": {      "status": "pending",      "version": "string",      "outputs": {        "modules": {          "property1": {            "downloadUrl": "string",            "filename": "string",            "shasum": "string",            "size": 0,            "source": "string",            "target": "string",            "variables": [              "string"            ]          },          "property2": {            "downloadUrl": "string",            "filename": "string",            "shasum": "string",            "size": 0,            "source": "string",            "target": "string",            "variables": [              "string"            ]          }        },        "provider": {          "gpgPublicKey": {            "asciiArmor": "string",            "keyId": "string"          },          "platforms": {            "property1": {              "downloadUrl": "string",              "filename": "string",              "shasum": "string",              "shasumsSignatureUrl": "string",              "shasumsUrl": "string",              "size": 0            },            "property2": {              "downloadUrl": "string",              "filename": "string",              "shasum": "string",              "shasumsSignatureUrl": "string",              "shasumsUrl": "string",              "size": 0            }          },          "source": "string"        }      },      "error": null,      "providerSource": "string",      "moduleSources": {        "property1": "string",        "property2": "string"      },      "moduleVersion": "string",      "managerUrls": {        "property1": "string",        "property2": "string"      }    },    "helm": {      "status": "pending",      "version": "string",      "outputs": {        "chart": "string",        "version": "string"      },      "error": null,      "chartRef": "string",      "managerFetchExample": "string",      "localImportExample": "string"    }  },  "installContext": {    "targets": {      "property1": {        "platform": "aws",        "managerUrl": "http://example.com",        "managementConfig": {          "managingRoleArn": "string",          "platform": "aws"        },        "awsManagingAccountId": "string"      },      "property2": {        "platform": "aws",        "managerUrl": "http://example.com",        "managementConfig": {          "managingRoleArn": "string",          "platform": "aws"        },        "awsManagingAccountId": "string"      }    }  },  "supportedRegions": {    "aws": [      "string"    ],    "gcp": [      "string"    ],    "azure": [      "string"    ]  },  "modelAvailabilitySources": [    {      "deploymentId": "string",      "resourceId": "string",      "observedAt": "2019-08-24T14:15:22Z",      "status": "current",      "availability": {        "catalogRevision": "string",        "location": "string",        "models": [          {            "accessTest": "verified",            "availability": "available",            "blockers": [              "agreement-required"            ],            "clientApis": [              "open-ai-chat-completions"            ],            "errorCode": "string",            "publicModelId": "string",            "testedAt": "2019-08-24T14:15:22Z"          }        ],        "source": "aws-bedrock"      }    }  ],  "setupItems": [    {      "item": "deployment",      "source": {        "type": "project-release",        "releaseChannel": "string",        "releaseId": "rel_WbhQgksrawSKIpEN0NAssHX9",        "resourceId": "string"      },      "required": true,      "configuration": {        "allowedProviders": [          "aws-bedrock"        ],        "providerAllowlist": [          "aws-bedrock"        ],        "modelRequirements": [          {            "publicModelId": "string",            "clientApis": [              "openai-chat"            ],            "required": true          }        ]      },      "status": "not-started",      "deploymentIds": [        "string"      ],      "blocker": {        "code": "string",        "message": "string"      }    }  ],  "setupConfig": {    "metadata": {      "property1": null,      "property2": null    },    "policy": {      "allowedPlatforms": [        "aws"      ],      "allowedKubernetesBasePlatforms": [        "aws"      ],      "allowedKubernetesClusterSources": [        "create"      ],      "allowedSetupMethods": [        "cloudformation"      ],      "allowReleasePinning": true,      "stackSettings": {        "defaults": {          "compute": {            "pools": {              "property1": {                "failure_domains": {                  "selectedFailureDomains": [                    "string"                  ],                  "spread": 0                },                "machine": "string",                "machines": 0,                "mode": "fixed"              },              "property2": {                "failure_domains": {                  "selectedFailureDomains": [                    "string"                  ],                  "spread": 0                },                "machine": "string",                "machines": 0,                "mode": "fixed"              }            }          },          "deploymentModel": "push",          "domains": {            "customDomains": {              "property1": {                "certificate": {                  "aws": {                    "certificateArn": "string"                  },                  "azure": {                    "keyVaultCertificateId": "string",                    "keyVaultResourceId": "string"                  },                  "gcp": {                    "certificateName": "string"                  },                  "kubernetes": {                    "tlsSecretRef": {                      "namespace": "string",                      "secretName": "string"                    }                  }                },                "domain": "string"              },              "property2": {                "certificate": {                  "aws": {                    "certificateArn": "string"                  },                  "azure": {                    "keyVaultCertificateId": "string",                    "keyVaultResourceId": "string"                  },                  "gcp": {                    "certificateName": "string"                  },                  "kubernetes": {                    "tlsSecretRef": {                      "namespace": "string",                      "secretName": "string"                    }                  }                },                "domain": "string"              }            },            "publicEndpointTarget": {              "mode": "machineAddresses"            }          },          "externalBindings": {},          "heartbeats": "off",          "kubernetes": {            "cluster": {              "cloud": {                "accountId": "string",                "clusterId": "string",                "clusterName": "string",                "projectId": "string",                "region": "string",                "resourceGroup": "string",                "subscriptionId": "string"              },              "namespace": "string",              "ownership": "managed"            },            "exposure": {              "mode": "disabled"            }          },          "network": {            "type": "use-default"          },          "telemetry": "off",          "updates": "auto"        },        "allowedDeploymentModels": [          "push"        ],        "allowedNetworkModes": [          "none"        ],        "allowedUpdatesModes": [          "auto"        ],        "allowedTelemetryModes": [          "auto"        ],        "allowedHeartbeatsModes": [          "on"        ],        "allowExternalBindings": true,        "allowCustomRegistry": true      }    },    "environmentVariables": [      {        "name": "string",        "type": "plain",        "targetResources": [          "string"        ]      }    ],    "items": [      {        "item": "deployment",        "source": {          "type": "project-release",          "releaseChannel": "string",          "releaseId": "rel_WbhQgksrawSKIpEN0NAssHX9",          "resourceId": "string"        },        "required": true,        "configuration": {          "allowedProviders": [            "aws-bedrock"          ],          "providerAllowlist": [            "aws-bedrock"          ],          "modelRequirements": [            {              "publicModelId": "string",              "clientApis": [                "openai-chat"              ],              "required": true            }          ]        }      }    ],    "inputs": [      {        "default": {          "type": "string",          "value": "string"        },        "description": "string",        "env": [          {            "name": "string",            "targetResources": [              "string"            ],            "type": "plain"          }        ],        "id": "string",        "kind": "string",        "label": "string",        "placeholder": "string",        "platforms": [          "aws"        ],        "providedBy": [          "developer"        ],        "required": true,        "validation": {          "format": "string",          "max": "string",          "maxItems": 0,          "maxLength": 0,          "min": "string",          "minItems": 0,          "minLength": 0,          "pattern": "string",          "values": [            "string"          ]        }      }    ],    "inputValues": [      {        "id": "string",        "label": "string",        "providedBy": [          "developer"        ],        "required": true,        "secret": true,        "provided": true      }    ]  },  "readiness": {    "status": "ready",    "checks": [      {        "code": "string",        "status": "passed",        "message": "string",        "checkedAt": "string"      }    ]  }}
POST
/v1/deployment-info/compute-plan

Plan deployment compute for the active release before stack preparation. The response contains recommended machine and scale choices for cloud compute pools.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-info/compute-plan" \  -H "Content-Type: application/json" \  -d '{    "platform": "aws",    "setupMethod": "cloudformation",    "stackSettings": {}  }'
{  "pools": [    {      "poolId": "string",      "workloads": [        "string"      ],      "requirements": {        "cpu": "string",        "memoryBytes": 0,        "ephemeralStorageBytes": 0,        "architecture": "arm64",        "gpu": {          "type": "string",          "count": 0        }      },      "scale": {        "type": "fixed",        "machines": {          "min": 0,          "max": 0,          "default": 0        }      },      "selected": {        "mode": "fixed",        "machines": 0,        "machine": "string"      },      "recommended": {        "mode": "fixed",        "machines": 0,        "machine": "string"      },      "machines": [        {          "machine": "string",          "profile": {            "cpu": "string",            "memoryBytes": 0,            "ephemeralStorageBytes": 0,            "architecture": "arm64",            "gpu": {              "type": "string",              "count": 0            }          },          "recommended": true        }      ],      "errors": [        "string"      ]    }  ]}
POST
/v1/deployment-info/prepare-stack

Prepare the active release stack for a deployment portal setup session. The response contains the generated stack shape plus setup compatibility metadata.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-info/prepare-stack" \  -H "Content-Type: application/json" \  -d '{    "platform": "aws",    "setupMethod": "cloudformation",    "stackSettings": {}  }'
{  "platform": "aws",  "stack": {    "id": "string",    "inputs": [      {        "default": {          "type": "string",          "value": "string"        },        "description": "string",        "env": [          {            "name": "string",            "targetResources": [              "string"            ],            "type": "plain"          }        ],        "id": "string",        "kind": "string",        "label": "string",        "placeholder": "string",        "platforms": [          "aws"        ],        "providedBy": [          "developer"        ],        "required": true,        "validation": {          "format": "string",          "max": "string",          "maxItems": 0,          "maxLength": 0,          "min": "string",          "minItems": 0,          "minLength": 0,          "pattern": "string",          "values": [            "string"          ]        }      }    ],    "permissions": {      "management": {        "extend": {          "property1": [            {              "description": "string",              "id": "string",              "platforms": {                "aws": [                  {                    "binding": {                      "resource": {                        "condition": {                          "property1": {                            "property1": "string",                            "property2": "string"                          },                          "property2": {                            "property1": "string",                            "property2": "string"                          }                        },                        "resources": [                          "string"                        ]                      },                      "stack": {                        "condition": {                          "property1": {                            "property1": "string",                            "property2": "string"                          },                          "property2": {                            "property1": "string",                            "property2": "string"                          }                        },                        "resources": [                          "string"                        ]                      }                    },                    "description": "string",                    "effect": "Allow",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ],                "azure": [                  {                    "binding": {                      "resource": {                        "scope": "string"                      },                      "stack": {                        "scope": "string"                      }                    },                    "description": "string",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ],                "gcp": [                  {                    "binding": {                      "resource": {                        "condition": {                          "expression": "string",                          "title": "string"                        },                        "scope": "string"                      },                      "stack": {                        "condition": {                          "expression": "string",                          "title": "string"                        },                        "scope": "string"                      }                    },                    "description": "string",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ]              }            }          ],          "property2": [            {              "description": "string",              "id": "string",              "platforms": {                "aws": [                  {                    "binding": {                      "resource": {                        "condition": {                          "property1": {                            "property1": "string",                            "property2": "string"                          },                          "property2": {                            "property1": "string",                            "property2": "string"                          }                        },                        "resources": [                          "string"                        ]                      },                      "stack": {                        "condition": {                          "property1": {                            "property1": "string",                            "property2": "string"                          },                          "property2": {                            "property1": "string",                            "property2": "string"                          }                        },                        "resources": [                          "string"                        ]                      }                    },                    "description": "string",                    "effect": "Allow",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ],                "azure": [                  {                    "binding": {                      "resource": {                        "scope": "string"                      },                      "stack": {                        "scope": "string"                      }                    },                    "description": "string",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ],                "gcp": [                  {                    "binding": {                      "resource": {                        "condition": {                          "expression": "string",                          "title": "string"                        },                        "scope": "string"                      },                      "stack": {                        "condition": {                          "expression": "string",                          "title": "string"                        },                        "scope": "string"                      }                    },                    "description": "string",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ]              }            }          ]        }      },      "profiles": {        "property1": {          "property1": [            {              "description": "string",              "id": "string",              "platforms": {                "aws": [                  {                    "binding": {                      "resource": {                        "condition": {                          "property1": {                            "property1": "string",                            "property2": "string"                          },                          "property2": {                            "property1": "string",                            "property2": "string"                          }                        },                        "resources": [                          "string"                        ]                      },                      "stack": {                        "condition": {                          "property1": {                            "property1": "string",                            "property2": "string"                          },                          "property2": {                            "property1": "string",                            "property2": "string"                          }                        },                        "resources": [                          "string"                        ]                      }                    },                    "description": "string",                    "effect": "Allow",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ],                "azure": [                  {                    "binding": {                      "resource": {                        "scope": "string"                      },                      "stack": {                        "scope": "string"                      }                    },                    "description": "string",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ],                "gcp": [                  {                    "binding": {                      "resource": {                        "condition": {                          "expression": "string",                          "title": "string"                        },                        "scope": "string"                      },                      "stack": {                        "condition": {                          "expression": "string",                          "title": "string"                        },                        "scope": "string"                      }                    },                    "description": "string",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ]              }            }          ],          "property2": [            {              "description": "string",              "id": "string",              "platforms": {                "aws": [                  {                    "binding": {                      "resource": {                        "condition": {                          "property1": {                            "property1": "string",                            "property2": "string"                          },                          "property2": {                            "property1": "string",                            "property2": "string"                          }                        },                        "resources": [                          "string"                        ]                      },                      "stack": {                        "condition": {                          "property1": {                            "property1": "string",                            "property2": "string"                          },                          "property2": {                            "property1": "string",                            "property2": "string"                          }                        },                        "resources": [                          "string"                        ]                      }                    },                    "description": "string",                    "effect": "Allow",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ],                "azure": [                  {                    "binding": {                      "resource": {                        "scope": "string"                      },                      "stack": {                        "scope": "string"                      }                    },                    "description": "string",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ],                "gcp": [                  {                    "binding": {                      "resource": {                        "condition": {                          "expression": "string",                          "title": "string"                        },                        "scope": "string"                      },                      "stack": {                        "condition": {                          "expression": "string",                          "title": "string"                        },                        "scope": "string"                      }                    },                    "description": "string",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ]              }            }          ]        },        "property2": {          "property1": [            {              "description": "string",              "id": "string",              "platforms": {                "aws": [                  {                    "binding": {                      "resource": {                        "condition": {                          "property1": {                            "property1": "string",                            "property2": "string"                          },                          "property2": {                            "property1": "string",                            "property2": "string"                          }                        },                        "resources": [                          "string"                        ]                      },                      "stack": {                        "condition": {                          "property1": {                            "property1": "string",                            "property2": "string"                          },                          "property2": {                            "property1": "string",                            "property2": "string"                          }                        },                        "resources": [                          "string"                        ]                      }                    },                    "description": "string",                    "effect": "Allow",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ],                "azure": [                  {                    "binding": {                      "resource": {                        "scope": "string"                      },                      "stack": {                        "scope": "string"                      }                    },                    "description": "string",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ],                "gcp": [                  {                    "binding": {                      "resource": {                        "condition": {                          "expression": "string",                          "title": "string"                        },                        "scope": "string"                      },                      "stack": {                        "condition": {                          "expression": "string",                          "title": "string"                        },                        "scope": "string"                      }                    },                    "description": "string",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ]              }            }          ],          "property2": [            {              "description": "string",              "id": "string",              "platforms": {                "aws": [                  {                    "binding": {                      "resource": {                        "condition": {                          "property1": {                            "property1": "string",                            "property2": "string"                          },                          "property2": {                            "property1": "string",                            "property2": "string"                          }                        },                        "resources": [                          "string"                        ]                      },                      "stack": {                        "condition": {                          "property1": {                            "property1": "string",                            "property2": "string"                          },                          "property2": {                            "property1": "string",                            "property2": "string"                          }                        },                        "resources": [                          "string"                        ]                      }                    },                    "description": "string",                    "effect": "Allow",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ],                "azure": [                  {                    "binding": {                      "resource": {                        "scope": "string"                      },                      "stack": {                        "scope": "string"                      }                    },                    "description": "string",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ],                "gcp": [                  {                    "binding": {                      "resource": {                        "condition": {                          "expression": "string",                          "title": "string"                        },                        "scope": "string"                      },                      "stack": {                        "condition": {                          "expression": "string",                          "title": "string"                        },                        "scope": "string"                      }                    },                    "description": "string",                    "grant": {                      "actions": [                        "string"                      ],                      "dataActions": [                        "string"                      ],                      "permissions": [                        "string"                      ],                      "predefinedRoles": [                        "string"                      ],                      "residualPermissions": [                        "string"                      ]                    },                    "label": "string"                  }                ]              }            }          ]        }      }    },    "resources": {      "property1": {        "config": {          "id": "string",          "type": "string",          "property1": null,          "property2": null        },        "dependencies": [          {            "id": "string",            "type": "string"          }        ],        "enabledWhen": "string",        "lifecycle": "frozen",        "remoteAccess": true      },      "property2": {        "config": {          "id": "string",          "type": "string",          "property1": null,          "property2": null        },        "dependencies": [          {            "id": "string",            "type": "string"          }        ],        "enabledWhen": "string",        "lifecycle": "frozen",        "remoteAccess": true      }    },    "supportedPlatforms": [      "aws"    ]  },  "setup": {    "target": "string",    "fingerprint": "string",    "version": 1  }}